This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 768143 - Memory corruption crashers with Fedora 16
Memory corruption crashers with Fedora 16
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
: 756593 757283 757304 757560 757562 758146 758592 758758 758764 758970 759060 759151 759288 759511 759690 759691 759771 759852 760819 760821 760822 760824 760827 760829 760919 766061 766065 766142 766151 766245 766307 766310 766319 767514 768115 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-15 16:15 EST by Owen Taylor
Modified: 2013-02-13 15:13 EST (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 15:13:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Owen Taylor 2011-12-15 16:15:00 EST
This bug is a general place to duplicate a large set of memory-corruption crashers for gnome-shell in Fedora 16, where the backtraces indicate only that memory was corrupted at some previous point in time, because of a double-free or a write into previously freed memory.
Comment 1 Owen Taylor 2011-12-15 16:15:46 EST
*** Bug 756593 has been marked as a duplicate of this bug. ***
Comment 2 Owen Taylor 2011-12-15 16:16:25 EST
*** Bug 757304 has been marked as a duplicate of this bug. ***
Comment 3 Owen Taylor 2011-12-15 16:20:34 EST
*** Bug 766319 has been marked as a duplicate of this bug. ***
Comment 4 Owen Taylor 2011-12-15 16:21:07 EST
*** Bug 766310 has been marked as a duplicate of this bug. ***
Comment 5 Owen Taylor 2011-12-15 16:22:01 EST
*** Bug 766307 has been marked as a duplicate of this bug. ***
Comment 6 Owen Taylor 2011-12-15 16:22:38 EST
*** Bug 766245 has been marked as a duplicate of this bug. ***
Comment 7 Owen Taylor 2011-12-15 16:23:27 EST
*** Bug 766151 has been marked as a duplicate of this bug. ***
Comment 8 Owen Taylor 2011-12-15 16:24:15 EST
*** Bug 766142 has been marked as a duplicate of this bug. ***
Comment 9 Owen Taylor 2011-12-15 16:25:14 EST
*** Bug 766065 has been marked as a duplicate of this bug. ***
Comment 10 Owen Taylor 2011-12-15 16:25:49 EST
*** Bug 766061 has been marked as a duplicate of this bug. ***
Comment 11 Owen Taylor 2011-12-15 16:26:25 EST
*** Bug 760919 has been marked as a duplicate of this bug. ***
Comment 12 Owen Taylor 2011-12-15 16:27:06 EST
*** Bug 760829 has been marked as a duplicate of this bug. ***
Comment 13 Owen Taylor 2011-12-15 16:27:47 EST
*** Bug 760827 has been marked as a duplicate of this bug. ***
Comment 14 Owen Taylor 2011-12-15 16:28:26 EST
*** Bug 760824 has been marked as a duplicate of this bug. ***
Comment 15 Owen Taylor 2011-12-15 16:29:02 EST
*** Bug 760822 has been marked as a duplicate of this bug. ***
Comment 16 Owen Taylor 2011-12-15 16:29:18 EST
*** Bug 760821 has been marked as a duplicate of this bug. ***
Comment 17 Owen Taylor 2011-12-15 16:29:57 EST
*** Bug 767514 has been marked as a duplicate of this bug. ***
Comment 18 Owen Taylor 2011-12-15 16:30:16 EST
*** Bug 760819 has been marked as a duplicate of this bug. ***
Comment 19 Owen Taylor 2011-12-15 16:31:55 EST
Removing all cc's to cut down on unwanted spam, still quite a few more duplicates to mark
Comment 20 Owen Taylor 2011-12-15 16:32:45 EST
*** Bug 768115 has been marked as a duplicate of this bug. ***
Comment 21 Owen Taylor 2011-12-15 16:35:22 EST
*** Bug 759852 has been marked as a duplicate of this bug. ***
Comment 22 Owen Taylor 2011-12-15 16:36:54 EST
*** Bug 759771 has been marked as a duplicate of this bug. ***
Comment 23 Owen Taylor 2011-12-15 16:38:10 EST
*** Bug 759691 has been marked as a duplicate of this bug. ***
Comment 24 Owen Taylor 2011-12-15 16:38:45 EST
*** Bug 759690 has been marked as a duplicate of this bug. ***
Comment 25 Owen Taylor 2011-12-15 16:39:38 EST
*** Bug 759511 has been marked as a duplicate of this bug. ***
Comment 26 Owen Taylor 2011-12-15 16:40:12 EST
*** Bug 759288 has been marked as a duplicate of this bug. ***
Comment 27 Owen Taylor 2011-12-15 16:40:52 EST
*** Bug 759151 has been marked as a duplicate of this bug. ***
Comment 28 Owen Taylor 2011-12-15 16:42:40 EST
*** Bug 759060 has been marked as a duplicate of this bug. ***
Comment 29 Owen Taylor 2011-12-15 16:43:10 EST
*** Bug 758970 has been marked as a duplicate of this bug. ***
Comment 30 Owen Taylor 2011-12-15 16:43:54 EST
*** Bug 758764 has been marked as a duplicate of this bug. ***
Comment 31 Owen Taylor 2011-12-15 16:44:17 EST
*** Bug 758758 has been marked as a duplicate of this bug. ***
Comment 32 Owen Taylor 2011-12-15 16:44:53 EST
*** Bug 758592 has been marked as a duplicate of this bug. ***
Comment 33 Owen Taylor 2011-12-15 16:46:15 EST
*** Bug 758146 has been marked as a duplicate of this bug. ***
Comment 34 Owen Taylor 2011-12-15 16:46:41 EST
*** Bug 757562 has been marked as a duplicate of this bug. ***
Comment 35 Owen Taylor 2011-12-15 16:51:27 EST
[ Removing automatically added cc's again to cut down on spam ]

Bug 757560 contains some very interesting comments:

Seems to happen randomly when using the mouse to switch to the
activities screen (pointer to top left of screen).  Started happening after I
installed the AMD Catalyst driver, but that could be a coincidence.

Steve Barnsley 2011-11-29 10:55:40 EST

The problem seems to occur when running KDE applications, specifically kate but
maybe others also, under gnome shell.  The shell keeps crashing, the display
flickers when switching windows and the screen doesn't paint correctly (partial
windows) when returning from the activities view.

[reply] [-]
Private
Comment 9 Steve Barnsley 2011-11-29 11:58:26 EST

The problem is caused by having the kwalletmanager icon in the notification
area.  If the icon is present the whole window/screen management of the shell
goes to hell and the shell periodically crashes.  Close the kwalletmanager icon
and everything runs as smooth as silk.

I'd be quite interested if this correlates with usage of the Catalyst drivers and/or icons in the notification area for other people. (I'm not sure that all of the crashes I've dup'ed here are the same bug, but I'm pretty sure the majority of them are the same thing - it's a set of crashes in similar places when repainting the screen.)
Comment 36 Owen Taylor 2011-12-15 16:52:40 EST
*** Bug 757560 has been marked as a duplicate of this bug. ***
Comment 37 Owen Taylor 2011-12-15 16:53:35 EST
*** Bug 757283 has been marked as a duplicate of this bug. ***
Comment 38 Joseph Paulk 2011-12-15 17:01:45 EST
This happens on a fresh install. dont know about kwallet, but I am using ati catalyst drivers for a Radeon 6520g.
Comment 39 Owen Taylor 2011-12-15 17:02:43 EST
Pretty sure this is the same as bug 702257, but not duplicating one with the other for the moment.
Comment 40 Joseph Paulk 2011-12-17 00:01:50 EST
Maybe this is useful, I had read about the graphics being choppy and suggested to add "export CLUTTER_VBLANK=none: to my ~/.bashrc file. It made things faster and (so far) no crashes.
Comment 41 neopium 2012-01-05 15:44:03 EST
> [reply] [-]
> Private
> Comment 9 Steve Barnsley 2011-11-29 11:58:26 EST
> 
> I'd be quite interested if this correlates with usage of the Catalyst drivers
> and/or icons in the notification area for other people. (I'm not sure that all
> of the crashes I've dup'ed here are the same bug, but I'm pretty sure the
> majority of them are the same thing - it's a set of crashes in similar places
> when repainting the screen.)

I have the exact same problem: gnome-shell crashes randomly.
I have installed ATI Catalyst drivers (I have an ATI HD 6750M on a MacBook Pro from early 2011).
I noticed a pattern in the crashes: it most of the time happens when I go to the activities panel (with the mouse or the super key), when I receive a notification or with Eclipse. When using Eclipse I try to commit my code with SVN, it makes a window come out of the Eclipse title bar (asking me commit comments and to select what files to commit). The appearance of this window makes gnome-shell crash 50% of the time.
My guess is that this is linked to transparency effects or shadow effects... but thats a blind guess: I'm no expert in the domain.
Comment 42 Frederic Grelot 2012-03-18 15:33:09 EDT
About neopium's comment.
See launchpad bug here : https://bugs.launchpad.net/fedora/+source/gnome-shell/+bug/889706 comment #236 (by me) describes the exact same thing I think.
However, I don't think this is the right place to talk about this bug, since I don't think it is related to any memory corruption.

And by the way, could someone tell me why the following bugs are set as  duplicates of this one? Sorry, but I don't see anything related to memory corruption there :
https://bugzilla.redhat.com/show_bug.cgi?id=759511
https://bugzilla.redhat.com/show_bug.cgi?id=760822
https://bugzilla.redhat.com/show_bug.cgi?id=757304
Comment 43 Fedora End Of Life 2013-01-16 11:28:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 44 Fedora End Of Life 2013-02-13 15:13:23 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.